Search Contacts
Search the resolved contacts using a search key, currently supports email search (Page size = 15). Resolved contacts are the ones with a value for identifier, email or phone number
GET
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
search
Search Contacts
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/contacts/search \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/contacts/search"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/contacts/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/contacts/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"count": 1,
"current_page": 1
},
"payload": [
{
"additional_attributes": {
"city": "San Francisco",
"country": "United States",
"location": "San Francisco, United States",
"description": "Head of Customer Experience at Northwind Supply. Migrating off a legacy helpdesk and launching on Apple Messages first. Prefers async follow-up.",
"company_name": "Northwind Supply Co.",
"country_code": "US",
"created_at_ip": "203.0.113.10",
"updated_at_ip": "203.0.113.10",
"avatar_url_hash": "0000000000000000000000000000000000000000",
"social_profiles": {
"github": "mokonkwo",
"tiktok": "northwindsupply",
"twitter": "mayabuildscx",
"facebook": "northwindsupply",
"linkedin": "maya-okonkwo",
"instagram": "northwind.supply"
},
"last_avatar_sync_at": "2026-09-21T02:21:05Z",
"social_telegram_user_name": "maya_okonkwo"
},
"availability_status": "offline",
"email": "maya@northwindsupply.com",
"id": 135,
"name": "Maya Okonkwo",
"phone_number": "+14155550198",
"blocked": false,
"identifier": "in_example",
"thumbnail": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": true,
"custom_attributes": {
"plan_tier": "Premium",
"lead_source": "Apple Messages — pricing page",
"profile_url": "https://tied.com/customers/northwind-supply",
"customer_since": "2024-03-15",
"lifetime_value": "48500",
"loyalty_discount": "12",
"newsletter_opt_in": true,
"satisfaction_score": "92"
},
"last_activity_at": 1789957263,
"created_at": 1789957262,
"contact_inboxes": [
{
"source_id": "sr_example",
"inbox": {
"id": 1,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "Apple Messages",
"channel_type": "Channel::Amb",
"provider": null
}
}
]
}
]
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
Search using contact name, identifier, email or phone number
The attribute by which list should be sorted
Available options:
name, email, phone_number, last_activity_at, -name, -email, -phone_number, -last_activity_at The page parameter
Was this page helpful?
⌘I
Search Contacts
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/contacts/search \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/contacts/search"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/contacts/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/contacts/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"meta": {
"count": 1,
"current_page": 1
},
"payload": [
{
"additional_attributes": {
"city": "San Francisco",
"country": "United States",
"location": "San Francisco, United States",
"description": "Head of Customer Experience at Northwind Supply. Migrating off a legacy helpdesk and launching on Apple Messages first. Prefers async follow-up.",
"company_name": "Northwind Supply Co.",
"country_code": "US",
"created_at_ip": "203.0.113.10",
"updated_at_ip": "203.0.113.10",
"avatar_url_hash": "0000000000000000000000000000000000000000",
"social_profiles": {
"github": "mokonkwo",
"tiktok": "northwindsupply",
"twitter": "mayabuildscx",
"facebook": "northwindsupply",
"linkedin": "maya-okonkwo",
"instagram": "northwind.supply"
},
"last_avatar_sync_at": "2026-09-21T02:21:05Z",
"social_telegram_user_name": "maya_okonkwo"
},
"availability_status": "offline",
"email": "maya@northwindsupply.com",
"id": 135,
"name": "Maya Okonkwo",
"phone_number": "+14155550198",
"blocked": false,
"identifier": "in_example",
"thumbnail": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"thumbnail_background_color": null,
"domain_logo_avatar": false,
"customer_verified": true,
"custom_attributes": {
"plan_tier": "Premium",
"lead_source": "Apple Messages — pricing page",
"profile_url": "https://tied.com/customers/northwind-supply",
"customer_since": "2024-03-15",
"lifetime_value": "48500",
"loyalty_discount": "12",
"newsletter_opt_in": true,
"satisfaction_score": "92"
},
"last_activity_at": 1789957263,
"created_at": 1789957262,
"contact_inboxes": [
{
"source_id": "sr_example",
"inbox": {
"id": 1,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "Apple Messages",
"channel_type": "Channel::Amb",
"provider": null
}
}
]
}
]
}{
"error": "Resource could not be found"
}